2019-10-19 00:39 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002524FSSCPFREDpublic2012-02-13 20:05
ReporterThe Trivial Psychic 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.13 
Target VersionFixed in Version3.6.14 
Summary0002524: Unable to Use Subsystem Scanning for Submodel-Subsystems
DescriptionI suspect that this is less of a bug, than an overlooked omission. Subsystem scanning for capital ships appears to not function for subsystems that are physical submodels... the option is grey-ed out. If it is an error or bug, then I'd like it fixed, but if its simply an intended omission, then I'd like it upgraded to a feature request.
Additional InformationI am currently using Trunk build 7904.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0012901

The Trivial Psychic (reporter)

I just did a little bit of testing, and discovered that its not submodel subsystems that are not capable of being scanned, its non-standard subsystems. That is anything other than sensors, navigation, communication(s), weapons, and engine(s), though it appears that they only need the main name to qualify for scanning, as "engine main" is acceptable. However, things like "reactor" or "bridge" cannot be scanned.

~0012913

Goober5000 (administrator)

The game explicitly prohibits scanning on most subsystems...

int valid_cap_subsys_cargo_list(char *subsys)
{
    if (stristr(subsys, "nav")
        || stristr(subsys, "comm")
        || stristr(subsys, "engine")
        || stristr(subsys, "fighter") // fighter bays
        || stristr(subsys, "sensors")
        || stristr(subsys, "weapons")) {

        return 1;
    }

    return 0;
}

~0013146

Valathil (developer)

So now what do we change it? or "won't fix"?

~0013155

Goober5000 (administrator)

I was hoping to get another comment from Trivial Psychic.

~0013229

The Trivial Psychic (reporter)

Is there any way to make this completely open, so that any subsystem, be it box type or submodel type, regardless of what its called, is acceptable for scanning?

~0013233

Goober5000 (administrator)

Yes, by editing the function I mentioned above.

I suppose I could add a mod.tbl option to allow scanning of any subsystem.

~0013240

The Trivial Psychic (reporter)

It would be appreciated. Thanks.

~0013251

Goober5000 (administrator)

Upon investigation by VA, a mod.tbl option isn't actually needed because the system won't be scanned anyway unless it has non-"Nothing" cargo.

Changed in r8450.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2011-10-18 22:38 The Trivial Psychic New Issue
2011-10-27 00:03 The Trivial Psychic Note Added: 0012901
2011-10-30 04:16 Goober5000 Note Added: 0012913
2012-01-23 23:17 Valathil Note Added: 0013146
2012-01-25 02:50 Goober5000 Note Added: 0013155
2012-02-01 20:55 The Trivial Psychic Note Added: 0013229
2012-02-03 01:03 Goober5000 Note Added: 0013233
2012-02-05 08:46 The Trivial Psychic Note Added: 0013240
2012-02-08 02:28 Goober5000 Changeset attached => fs2open trunk r8450
2012-02-08 02:28 Goober5000 Note Added: 0013251
2012-02-08 02:29 Goober5000 Assigned To => Goober5000
2012-02-08 02:29 Goober5000 Status new => resolved
2012-02-08 02:29 Goober5000 Resolution open => fixed
2012-02-08 02:29 Goober5000 Fixed in Version => 3.6.14
2012-02-13 20:05 Zacam Changeset attached => fs2open fs2_open_3_6_14 r8501
+Issue History